Subject: bug#12245: 24.2.50; Image height scaled to fill whole line

From: Ivan Andrus <[email-masked]>
Date: Sat, 22 Sep 2012 21:02:15 +0200

On Sep 22, 2012, at 7:01 PM, Jan Djärv wrote:

> Hello.
> 
> I don't quite follow your description of the problem.
> Is the bug that when the two images are shown, they are too large, or that when one is deleted the other is not shrunk enough?

> Can you provide screenshots of the correct behaviour?

I have included screen shots of correct and incorrect behaviour.  I should note that the green bar is from hl-line-mode.  Anyway, the bug is that a "small" image is stretched.  "Large" images are not stretched or shrunk.  

This may or may not be related to the fact that opening wide pdfs in docview mode causes the width to be shrunk to fit on the screen.  The height, however, is not affected.  I haven't filed a bug about that since I hadn't noticed it before.  If it's not resolved with the fix to this bug (or if you just prefer it), then I'll open another bug about it.

I'm on 10.6 in case I haven't mentioned that.

-Ivan